Bug 135064 - Add Codecompletion to Method name textfield of add breakpoint dialog
Add Codecompletion to Method name textfield of add breakpoint dialog
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All Linux
: P3 (vote)
: 7.2
Assigned To: Martin Entlicher
issues@debugger
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 16:32 UTC by Petr Cyhelsky
Modified: 2012-03-22 11:12 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2008-05-14 16:32:39 UTC
There should be some help for user to help him choose from different methods availaible in the file - for example code
completion or list or drop down ...
Comment 1 Martin Entlicher 2012-03-21 15:24:04 UTC
Code completion added to New Breakpoint dialog for following breakpoint types:
Class - completes class names in Class Name field
Exception - completes names of classes extending Throwable in Exception
            Class Name field
Field - completes class names in Class Name field
        completes all fields of the class in Field Name field
Method - completes class names in Class Name field
         completes all methods of the class in Method Name field

Implemented by changeset:   216007:ffd425409954
http://hg.netbeans.org/main/rev/ffd425409954
Comment 2 Quality Engineering 2012-03-22 11:12:26 UTC
Integrated into 'main-golden', will be available in build *201203220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ffd425409954
User: mentlicher@netbeans.org
Log: #135064: Code completion for classes, exceptions, methods and fields is added.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo